#ifndef _httpsocket_h_
#define _httpsocket_h_

#include <socket.h>
#include <string>

class HttpSocket : public Socket
{
public:
    int get(const char *path, const char *referer = 0, const char *cookie = 0);
    int post(const char* host, const char *topage, const char *referer, const char *cookie, 
        const char *content);
    std::string readResponse();
};

#endif // _httpsocket_h_

